%define anolis_release 1
Name:           zlib
Version:        1.2.13
Release:        %{anolis_release}%{?dist}
Summary:        Compression and decompression library

License:        zlib and Boost
URL:            https://www.zlib.net/
Source0:        https://zlib.net/zlib-%{version}.tar.xz
BuildRequires:  make automake autoconf libtool 

%description
Zlib is a general-purpose, patent-free, lossless data compression
library which is used by many different programs.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Header files and libraries for Zlib development
Requires: %{name} = %{version}-%{release}
 
%description devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.
 
%package static
Summary: Static libraries for Zlib development
Requires: %{name}-devel = %{version}-%{release}
 
%description static
The zlib-static package includes static libraries needed
to develop programs that use the zlib compression and
decompression library.
 
%package -n minizip-compat
Summary: Library for manipulation with .zip archives
Requires: %{name} = %{version}-%{release}
 
%description -n minizip-compat
Minizip is a library for manipulation with files from .zip archives.
 
%package -n minizip-compat-devel
Summary: Development files for the minizip library
Requires: minizip-compat = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Conflicts: minizip-devel
 
%description -n minizip-compat-devel
This package contains the libraries and header files needed for
developing applications which use minizip.

%prep
%autosetup -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now"
./configure --libdir=%{_libdir} --includedir=%{_includedir} --prefix=%{_prefix}

%make_build

cd contrib/minizip
autoreconf --install
%configure --enable-static=no
%make_build

%check
make test

%install
%make_install

%make_install -C contrib/minizip

%generate_compatibility_deps

%files
%license README
%dir %{abidir}
%{_libdir}/libz.so.*
%{abidir}/libz.dump

%files doc
%doc ChangeLog FAQ

%files devel
%doc doc/algorithm.txt test/example.c
%{_libdir}/libz.so
%{_libdir}/pkgconfig/zlib.pc
%{_includedir}/zlib.h
%{_includedir}/zconf.h
%{_mandir}/man3/zlib.3*
 
%files static
%license README
%{_libdir}/libz.a
 
%files -n minizip-compat
%doc contrib/minizip/MiniZip64_info.txt contrib/minizip/MiniZip64_Changes.txt
%{_libdir}/libminizip.so.*
%{abidir}/libminizip.dump

%files -n minizip-compat-devel
%dir %{_includedir}/minizip
%{_includedir}/minizip/*.h
%{_libdir}/libminizip.so
%{_libdir}/pkgconfig/minizip.pc


%changelog
* Tue Oct 18 2022 Funda Wang <fundawang@yeah.net> - 1.2.13-1
- New version 1.2.13

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.12-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.12-2
- add abi & add doc package

* Tue Aug 30 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.12-1
- update to 1.2.12

* Mon Mar  7 2022 forrest_ly <flin@linux.alibaba.com> - 1.2.11-1 
- Init Anolis OS 23 
